#
# spec file for package rubygem-activerecord (Version 1.14.4)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison brp-check-internal bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt post-build-checks procinfo procps psmisc pwdutils rcs readline rpm ruby ruby-devel rubygem-activesupport rubygems sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           rubygem-activerecord
%define mod_name activerecord
#
Version:        1.14.4
Release:        18
#
Group:          Development/Languages/Ruby
License:        X11/MIT
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  rubygems_with_buildroot_patch
BuildRequires:  rubygem-activesupport = 1.3.1
Requires:       rubygems >= 0.8.11
Requires:       rubygem-activesupport = 1.3.1
#
Url:            http://rubyforge.org/projects/activerecord/
Source:         http://rubyforge.org/frs/download.php/12245/activerecord-1.14.4.gem
Source1:        offset_limit_fix_backport_AR_1-14-stable.diff
#
Summary:        Implements the ActiveRecord pattern (Fowler, PoEAA) for ORM

%description
Implements the ActiveRecord pattern (Fowler, PoEAA) for ORM. It ties
database tables and classes together for business objects, like
Customer or Subscription, that can find, save, and destroy themselves
without resorting to manual SQL.



Authors:
--------
    rails development team

%debug_package
%prep

%build

%install
gem install --build-root=%{buildroot} %{S:0}
%{__rm} -v %{buildroot}%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_name}-%{version}/lib/active_record/vendor/mysql.rb
pushd %{buildroot}%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_name}-%{version}/
patch -p0 < %{S:1}
popd

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_name}-%{version}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_name}-%{version}/
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_name}-%{version}.gemspec
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_name}-%{version}/

%changelog
* Tue Sep 23 2008 - mrueckert@suse.de
- added offset_limit_fix_backport_AR_1-14-stable.diff (bnc#426198)
  fix potential sql injection via :limit and :offset params
* Thu Aug 10 2006 - mrueckert@suse.de
- update to version 1.14.4:
  * Add warning about the proper way to validate the presence of
  a foreign key.  (rails:#4147)
  [Francois Beausoleil <francois.beausoleil@gmail.com>]
  * Fix syntax error in documentation.
  (rails:#4679) [mislav@nippur.irb.hr]
  * Update inconsistent migrations documentation. (rails:#4683)
  [machomagna@gmail.com]
* Sat Jul 01 2006 - mrueckert@suse.de
- update to version 1.14.3:
  * Properly quote index names in migrations
  (closes #4764) [John Long]
  * Ensure that Associations#include_eager_conditions?
  checks both scoped and explicit conditions [Rick]
  * Associations#select_limited_ids_list adds the ORDER BY columns
  to the SELECT DISTINCT List for postgresql. [Rick]
* Wed Jun 21 2006 - mrueckert@suse.de
- use rubygems_with_buildroot_patch instead of the versioned
  buildrequires
* Mon Jun 19 2006 - mrueckert@suse.de
- Initial package version 1.14.2
